stages:
  - build
  - test
  - deploy

maven-build:
  image: maven:3-jdk-8
  stage: build
  script: "mvn package -B"

maven-test:
  image: maven:3-jdk-8
  stage: test
  script: "mvn test -B"

deploy:
  stage: deploy
  image: ruby:latest
  script:
  - apt-get update -qy
  - apt-get install -y ruby-dev
  - gem install dpl
  - dpl --provider=heroku --app=coesos-env-production --api-key=$HEROKU_API_KEY
  only:
  - master
